# OgreRenderable.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreRenderOperation.h"`
`#include "OgreMatrix4.h"`
`#include "OgreMaterial.h"`
`#include "OgrePlane.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreVector4.h"`
`#include "OgreException.h"`
`#include "OgreUserObjectBindings.h"`

Go to the source code of this file.

## Classes

class | Ogre::Renderable
| Abstract class defining the interface all renderable objects must implement. More...
class | Ogre::Renderable::RenderSystemData
| An internal class that should be used only by a render system for internal use. More...
class | Ogre::Renderable::Visitor
| Visitor object that can be used to iterate over a collection of Renderable instances abstractly. More...

## Namespaces

namespace | Ogre

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52